@echo off

rem This script modifies BeOS R4.5.1/4.5.2 aic78xx driver
rem for use with some Adaptec SCSI adapters
rem Called from MKFLP.BAT; not to be used alone
rem
rem Differences from patchaic.sh:
rem does not back up original driver

if "%DIR%"=="" set DIR=\system\add-ons\kernel\busses\scsi
set FILE=aic78xx

rem check parameters

if not "%1"=="" goto skip1
	echo Usage: "%0 {aha2930cu|aha2930u|aha2930u2}"
	set ERRORLEVEL=1
	goto end
:skip1

set TYPE=
if "%1"=="aha2930cu" set TYPE=2930CU
if "%1"=="aha2930u"  set TYPE=2930U
if "%1"=="aha2930u2" set TYPE=2930U2
if not "%TYPE%"=="" goto skip11
	echo Unknown chip: %1
	set ERRORLEVEL=1
	goto end
:skip11

goto %TYPE%
:2930CU
	set SRC="04 90 78 86"
	set DST="04 90 60 38"
	goto skip12
:2930U
	set SRC="04 90 78 86"
	set DST="04 90 78 88"
	goto skip12
:2930U2
	set SRC="05 90 20 00"
	set DST="05 90 11 00"
	goto skip12
:skip12

rem check original driver

if exist %DIR%\%FILE% goto skip2
	echo Original driver %DIR%\%FILE% not present
	set ERRORLEVEL=1
	goto end
:skip2

rem backup omitted

rem apply patch to driver

.\bsubst %SRC% %DST% < %FILE% > %FILE%.NEW
del %FILE%
ren %FILE%.NEW %FILE%

echo All done.
set ERRORLEVEL=0

:end
set DIR=
set FILE=
set TYPE=
set SRC=
set DST=
